Index: floating_point_comparison.hpp
===================================================================
--- floating_point_comparison.hpp	(revision 49390)
+++ floating_point_comparison.hpp	(working copy)
@@ -79,12 +79,12 @@
 safe_fpt_division( FPT f1, FPT f2 )
 {
     // Avoid overflow.
-    if( f2 < static_cast<FPT>(1)  && f1 > f2*fpt_limits<FPT>::max_value() )
+    if( (f2 < static_cast<FPT>(1))  && (f1 > f2*fpt_limits<FPT>::max_value()) )
         return fpt_limits<FPT>::max_value();
 
     // Avoid underflow.
-    if( f1 == static_cast<FPT>(0) ||
-        f2 > static_cast<FPT>(1) && f1 < f2*fpt_limits<FPT>::min_value() )
+    if( (f1 == static_cast<FPT>(0)) ||
+        ((f2 > static_cast<FPT>(1)) && (f1 < f2*fpt_limits<FPT>::min_value())) )
         return static_cast<FPT>(0);
 
     return f1/f2;
